Bug 470393 - configuration of nsslapd-timelimit -1 is rejected
configuration of nsslapd-timelimit -1 is rejected
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Directory Server (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.1.4 FDS1.2.0
  Show dependency treegraph
 
Reported: 2008-11-06 18:11 EST by Ulf Weltman
Modified: 2015-01-04 18:34 EST (History)
4 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:07:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trivial fix proposal (884 bytes, patch)
2008-11-06 18:13 EST, Ulf Weltman
no flags Details | Diff

  None (edit)
Description Ulf Weltman 2008-11-06 18:11:32 EST
The fix for bug 181032 is causing nsslapd-timelimit of -1 to be disallowed.  In 7.1 and according to RHDS 8.0 manual, -1 means infinite time limit.  7.1 had some code that indicated someone might have thought <0 was illegal, but that code didn't do anything.  In 8.0 the code returns operations error.
Comment 1 Ulf Weltman 2008-11-06 18:13:17 EST
Created attachment 322795 [details]
trivial fix proposal
Comment 2 Nathan Kinder 2008-11-13 16:56:54 EST
The fix in comment#1 looks good, and is consistent with the behavior outlines in the documentation.

Checked fix into ldapserver (HEAD).

Checking in ldap/servers/slapd/libglobs.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/libglobs.c,v  <--  libglobs.c
new revision: 1.30; previous revision: 1.29
done
Comment 3 Jenny Galipeau 2009-04-01 15:50:19 EDT
fix verified RHEL 4 

[root@jennyv4 jenny]# ldapsearch -x -h `hostname` -p 389 -D "cn=Directory Manager" -w Secret123 -b "cn=config" | grep nsslapd-timelimit
nsslapd-timelimit: 3600
nsslapd-timelimit: 3600


1. stop server
2. edit dse.ldif nsslapd-timelimit: -1
3. start server - no errors

[root@jennyv4 jenny]# ldapsearch -x -h `hostname` -p 389 -D "cn=Directory Manager" -w Secret123 -b "cn=config" | grep nsslapd-timelimit
nsslapd-timelimit: -1
nsslapd-timelimit: 3600 

second attributes belong to container:
dn: cn=default instance config,cn=chaining database,cn=plugins,cn=config
Comment 4 Chandrasekar Kannan 2009-04-29 19:07:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.